Summary:	An X Window System based CPU state monitor
Name:		xcpustate
Version:	2.9
Release:	%mkrel 14
License:	MIT-style
Group:		Monitoring
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libelf)
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	imake
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xmu)
URL:		ftp://ftp.cs.toronto.edu/pub/jdd/xcpustate/
Source0:	ftp://ftp.cs.toronto.edu/pub/jdd/xcpustate/%{name}-%{version}.tar.lzma
Source11:	%{name}16.png
Source12:	%{name}32.png
Source13:	%{name}48.png
Patch1:		xcpustate-2.5-alpha.patch
Patch2:		xcpustate-2.5-6.0.patch
Patch3:		xcpustate-2.9-missingheaders.patch


%description
The xcpustate utility is an X Window System based monitor which shows
the amount of time that the CPU is spending in different states.  On a
Linux system, xcpustate displays a bar that indicates the amounts of idle,
user, nice and system time (from left to right) used by the CPU.

Install the xcpustate package if you'd like to use a horizontal bar style
CPU state monitor.

%prep
%setup -q
%patch2 -p1 -b .glibc
%patch3 -p1 -b .headers
%ifarch alpha
%patch1 -p1 -b .alpha
%endif


%build
xmkmf
# (tv) prevent stripping (for debuginfo):
sed -i 's! -s -m!-m!' Makefile
%make_build CDEBUGFLAGS="$RPM_OPT_FLAGS -I/usr/include/tirpc" MANPATH=%_mandir SYS_LIBRARIES="-ltirpc"

%install
%make_install install.man MANPATH=%_mandir

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=XCpuState
Comment=CPU load indicator
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Monitor;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files
%defattr(-,root,root,0755)
%doc README
%attr(0755,root,root) %_bindir/xcpustate
%attr(0644,root,root) %_mandir/man1/xcpustate.1*
%{_datadir}/applications/mageia-%{name}.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png





%changelog
* Thu Nov 26 2020 tv <tv> 2.9-14.mga8
+ Revision: 1649501
- fix building with libtirpc

* Fri Feb 14 2020 umeabot <umeabot> 2.9-13.mga8
+ Revision: 1518605
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.9-12.mga7
+ Revision: 1301826
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 2.9-11.mga6
+ Revision: 963482
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 2.9-10.mga6
+ Revision: 893803
- do not strip thus fixing debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 2.9-9.mga5
+ Revision: 746600
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9-8.mga5
+ Revision: 690573
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.9-7.mga4
+ Revision: 520496
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.9-6.mga3
+ Revision: 386705
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 22 2011 steletch <steletch> 2.9-5.mga1
+ Revision: 75608
- Clean spec file
- imported package xcpustate

